## glibc 2.3.2.ds1-12.osso4+str

=== debian/local/manpages/Makefile ===
#! /usr/bin/make -f

SGML_MAN = locale-gen.8

all: $(patsubst %.pod,%.1,$(wildcard *.pod)) $(SGML_MAN)
%.1: %.pod
	pod2man --center="Debian GNU/Linux" --release="woody" $< > $@

locale-gen.8: locale-gen.8.sgml
	docbook-to-man $< > $@

=== debian/changelog ===
glibc (2.3.2.ds1-12.osso4+str) unstable; urgency=low

  * Include needed libs for character conversions (Closes: #16634)
  * Make ldd /bin/sh (Closes: #11134)
  * Remove other bashisms in post/pre/so-on

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu,  4 Aug 2005 15:06:33 +0300

glibc (2.3.2.ds1-12.osso3+str) unstable; urgency=low

  * libdb1-dev removed from the conflicts for libc6-dev

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 24 May 2005 16:14:02 +0300

glibc (2.3.2.ds1-12.osso2+str) unstable; urgency=low

  * Added some mem* and str* ARM optimized functions.

 -- Guillem Jover <guillem.jover@nokia.com>  Mon,  4 Apr 2005 14:31:45 +0300

glibc (2.3.2.ds1-12.osso2) unstable; urgency=low

  * localedef and ldd was returned back 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 13 Jan 2005 17:39:10 +0200

glibc (2.3.2.ds1-12.osso1) unstable; urgency=low

  * Trim gconv and timezones
  * Remove libdb1-compat
  * Smaller init scripts

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 29 Oct 2004 17:02:03 +0300

glibc (2.3.2.ds1-12) unstable; urgency=low

  * GOTO Masanori <gotom@debian.org>

   - debian/local/etc_init.d/mountkernfs: Fix typo.  (Closes: #229340)
   - debian/local/etc_init.d/mountkernfs: Fix error if the kernel does not
     set CONFIG_TMPFS on 2.4.  (Closes: #230758)
   - debian/local/etc_init.d/mountkernfs: Check each mount directory is
     actually directory or not.  (Closes: #234813)
   - debian/local/etc_init.d/mountkernfs: remove "set -e".
   - debian/debhelper.in/libc.postinst: use invoke-rc.d to invoke
     mountkernfs when it's available, suggested by Junichi Uekawa
     <dancer@netfort.gr.jp>.  (Closes: #230008)

   - debian/debhelper.in/libc.install: drop installing three files:
     debian/local/etc_init.d/mountkernfs, debian/local/etc_default/devpts,
     and debian/local/etc_default/tmpfs.  Because initscripts now provides
     those files.  (Closes: #238963)
   - debian/debhelper.in/libc.preinst: devpts.sh should be actually replaced to
     mountkernfs.  But by now mounting filesystems should be done with
     mountvirtfs in initscripts.  Initscripts needs to remove devpts.sh and
     mountkernfs.
   - debian/debhelper.in/libc.postinst: likewise.
   - debian/debhelper.in/libc.postrm: likewise.

   - debian/debhelper.in/libc.preinst: Fix kernel version detection correctly.
     Patched by Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>.
     (Closes: #241395).

   - debian/rules.d/debhelper.mk: Fix build failure in strip processing.

   - debian/patches/51_glibc232-hppa-nopltrel.dpatch: Do not process
     lezy relocations if no DT_PLTREL is present.  Reported by
     Richard Hirst <rhirst@linuxcare.com> and Patched by
     Carlos O'Donell <carlos@baldric.uwo.ca>.  (Closes: #228375)
   - debian/patches/glibc232-ppc32-nanosecond.dpatch: Fix ppc32 stat
     reports bogus nanosecond data.  Patched by Anton Blanchard
     <anton@samba.org>.  (Closes: #231358)
   - debian/patches/nptl-io-locking.dpatch: Add stdio performance
     improvement for nptl.  Dpatched by Michael Clark
     <michael@metaparadigm.com>.  (Closes: #238213)
   - debian/patches/52_glibc233-hppa-feupdateenv.dpatch:
     The newest compiler in unstable has caught a bug in the feupdateenv
     implementation for hppa. The code should not be using the constant input
     argument as temporary scratch.  Patched by Carlos O'Donell
     <carlos@baldric.uwo.ca>.
   - debian/patches/localedef-fix-trampoline.dpatch: Fix localedef segv
     when run under exec-shield/PaX and so on due to trampoline issue.
     Dpatched by James Troup <james@nocrew.org>.
     (Closes: #231438, #198099, #215624, #215821, #221740)
   - debian/patches/alpha-rtsigaction-fix.dpatch: Fix alpha sigaction with
     SA_SIGINFO (rt_sigaction), keep program execution after exiting signal
     handler, with correctly calling rt_sigreturn.  (Closes: #221969)
   - debian/patches/translation-fr.dpatch: Include fr.po translation patch.
     Patched by Petter Reinholdtsen <pere@hungry.com>.  Related bug #243183
     is currently suspended.
   - debian/patches/locale-et_EE.dpatch: Fix et_EE locale incorrect charset.
     Patched by Petter Reinholdtsen <pere@hungry.com>.  (Closes: #208238)

   - debian/debhelper.in/libc.postinst: add rsync to NSS checking code.
     (Closes: #229196)
   - debian/debhelper.in/libc.preinst: add kernel version check code if
     real i386 is used.  (Closes: #231538)

   - debian/po/da.po: added.  Patched by Morten Brix Pedersen <morten@wtf.dk>.
     (Closes: #230669)
   - debian/po/cs.po: added.  Patched by Miroslav Kure
     <kurem@upcase.inf.upol.cz>.  (Closes: #230969)
   - debian/po/el.po: added.  Patched by Konstantinos Margaritis
     <markos@debian.org>.  (Closes: #230997)
   - debian/po/ru.po: added.  Patched by Ilgiz Kalmetev
     <translator@ilgiz.pp.ru>.  (Closes: #221657)
   - debian/po/uk.po: added.  Patched by Eugeniy Meshcheryakov
     <eugen@univ.kiev.ua>.  (Closes: #235850)
   - debian/po/zh_CN.po: added. Patched by Hiei Xu <nicky@mail.edu.cn>
     and Carlos Z.F. Liu <carlos_liu@yahoo.com>.  (Closes: #231907)
   - debian/po/tr.po: added.  Patched by Ercin EKER <erc.caldera@gmx.net>
     and Recai Oktas <roktas@omu.edu.tr>.  (Closes: #240654)

   - debian/debhelper.in/glibc-doc.links: add manpages links for sem_*.

   - debian/patches/template.dpatch: split Author to Dpatch author and
     Patch author.

   - debian/sysdeps/hppa.mk: added to create symlink
     /usr/hppa64-linux/include to /usr/include for hppa64.  (Closes: #239020)
   - debian/sysdeps/depflags.pl: added conflicts to gcc-3.3-hppa64 and
     gcc-3.4-hppa64.
   - debian/sysdeps/depflags.pl: Add replaces: kerberos4th-dev (<< 1.2.2-10)
     to avoid conflicting /usr/include/ifaddrs.h.  (Closes: #234347)

   - debian/control.in/opt: made libc6-i686 description easier to 
     understand from users' requests.  (Closes: #218396, #239555, #242546)



=== debian/control ===
Source: glibc
Section: libs
Priority: required
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.80-1), dpkg-dev (>= 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), linux-kernel-headers (>= 2.5.999-test7-bk-9) [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.3, autoconf, binutils (>= 2.14.90.0.7-5), sed (>= 4.0.5-4), gawk, debhelper (>= 4.1.76)
Build-Depends-Indep: perl, po-debconf
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>, Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.6.1.0

Package: glibc-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: libc-doc, libc6-doc, glibcdoc
Replaces: libc-doc, libc6-doc, glibcdoc
Provides: libc-doc
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info and html format as
 well as man pages for libpthread functions. Also included is the complete
 GNU C Library ChangeLog.

Package: locales
Architecture: all
Section: base
Priority: standard
Provides: i18ndata
Depends: ${locale:Depends}, debconf (>= 0.2.26)
Conflicts: localebin, wg15-locale, i18ndata, locale-ja, locale-ko, locale-vi, locale-zh
Replaces: localebin, wg15-locale, libc6-bin, i18ndata, glibc2, locale-ja, locale-ko, locale-vi, locale-zh
Description: GNU C Library: National Language (locale) data [support]
 Machine-readable data files, shared objects and programs used by the
 C library for localization (l10n) and internationalization (i18n) support.
 .
 This package contains the libc.mo i18n files, plus tools to generate
 locale definitions from source files (included in this package). It allows
 you to customize which definitions actually get generated. This is a
 savings over how this package used to be, where all locales were generated
 by default. This created a package that unpacked to an excess of 30 megs.

Package: nscd
Architecture: alpha arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
Section: admin
Priority: optional
Depends: libc6 (>= ${Source-Version})
Replaces: libc6 (<< 2.1-4)
Description: GNU C Library: Name Service Cache Daemon
 A daemon which handles passwd, group and host lookups
 for running programs and caches the results for the next
 query. You should install this package only if you use
 slow Services like LDAP, NIS or NIS+

Package: libc6
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: base
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc6-dev
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: standard
Depends: libc6 (= ${Source-Version})
Recommends: c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-dbg
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: extra
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc6-prof
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: extra
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc6-pic
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc6-udeb
XC-Package-Type: udeb
Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: debian-installer
Priority: extra
Provides: libc6, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the debian
 installer.  Do not install it on a normal system.

Package: libc6.1
Architecture: alpha ia64
Section: base
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc6.1-dev
Architecture: alpha ia64
Section: libdevel
Priority: standard
Depends: libc6.1 (= ${Source-Version})
Recommends: c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6.1-dbg
Architecture: alpha ia64
Section: libdevel
Priority: extra
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc6.1-prof
Architecture: alpha ia64
Section: libdevel
Priority: extra
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc6.1-pic
Architecture: alpha ia64
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc6.1-udeb
XC-Package-Type: udeb
Architecture: alpha ia64
Section: debian-installer
Priority: extra
Provides: libc6.1, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the debian
 installer.  Do not install it on a normal system.

Package: libc0.3
Architecture: hurd-i386
Section: base
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc0.3-dev
Architecture: hurd-i386
Section: libdevel
Priority: standard
Depends: libc0.3 (= ${Source-Version})
Recommends: c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc0.3-dbg
Architecture: hurd-i386
Section: libdevel
Priority: extra
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc0.3-prof
Architecture: hurd-i386
Section: libdevel
Priority: extra
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc0.3-pic
Architecture: hurd-i386
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc0.3-udeb
XC-Package-Type: udeb
Architecture: hurd-i386
Section: debian-installer
Priority: extra
Provides: libc0.3, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the debian
 installer.  Do not install it on a normal system.

Package: libc1
Architecture: freebsd-i386
Section: base
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc1-dev
Architecture: freebsd-i386
Section: libdevel
Priority: standard
Depends: libc1 (= ${Source-Version})
Recommends: c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc1-dbg
Architecture: freebsd-i386
Section: libdevel
Priority: extra
Depends: libc1 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# debian/rules file for GNU libc.
# Copyright 1998, 1999 by Joel Klecker <espy@debian.org>
# Copyright 2000 Ben Collins <bcollins@debian.org>
# Copyright 2003 Jeff Bailey <jbailey@debian.org>
# This Makefile is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# What are the phases to building glibc?

# Unpack main tarball
# Do any necessary overlays
# Apply patches
# Determine how many builds there are to do.  For Each build:

#  Create build directory
#  Configure
#  Build
#  Test as desired
#  Install to package directories

# Run debian magic to build packages.

# Things you may need to customise:

# These are done as absolute paths so that in the case of filesystem size
# limitations, they can be overridden and spread all over.
build-tree := build-tree
stamp := $(CURDIR)/stamp-dir/
DUMMY := $(shell mkdir -p $(stamp))

# The minimum package version with which these packages are compatible.
shlib_dep_ver = 2.3.2.ds1-4
shlib_dep = $(libc) (>= $(shlib_dep_ver))

# Beyond here you shouldn't need to customise anything:

SHELL                 ?= =/bin/sh -e
DEB_HOST_ARCH         ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE     ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_BUILD_ARCH        ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU     ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

DEB_HOST_GNU_CPU_ALT  ?=
DEB_HOST_GNU_TYPE_ALT ?=

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

DEB_TARBALL ?= $(shell ls glibc-[0-9]*.[0-9]*.[0-9]*.tar.*)

DEB_SRCDIR ?= $(shell ls -d $(build-tree)/glibc-*)
DEB_BUILDDIR ?= $(build-tree)/$(DEB_HOST_ARCH)-$(curpass)

# The kernel uses different CPU appreviations (uname output) than the GNU
# tools do (config.sub).  Map them.
KERNEL_HOST_CPU := $(subst powerpc,ppc,$(DEB_HOST_GNU_CPU))

# How many makes to run at once?
NJOBS = 1

# Default setup
GLIBC_PASSES ?= libc

prefix=/usr
bindir=$(prefix)/bin
datadir=$(prefix)/share
includedir=$(prefix)/include
infodir=$(prefix)/share/info
libdir=$(prefix)/lib
docdir=$(prefix)/share/doc
mandir=$(prefix)/share/man
sbindir=$(prefix)/sbin
libexecdir=$(prefix)/lib

BUILD_CC = gcc-3.3

# Set CC for cross-compiling
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
CC     = $(DEB_HOST_GNU_TYPE)-gcc
else
CC     = $(BUILD_CC)
endif

BUILD_CFLAGS = -O2 -g
HOST_CFLAGS = -pipe -O2 -fstrict-aliasing -g $(call xx,extra_cflags)

configure_target := $(DEB_HOST_GNU_TYPE)

# Normally we'll just use this for --build.  If the architecture requires
# that build daemons be able to run a particular optimized library, then
# they can set the --build to match --host for that optimized build.
# Among other things this lets tests run.
configure_build := $(DEB_BUILD_GNU_TYPE)

ifneq ($(NO_LOG),yes)
log_build   = $(CURDIR)/log-build-$(call xx,configure_target)-$(curpass)
log_test    = $(CURDIR)/log-test-$(call xx,configure_target)-$(curpass)
else
log_build   := /dev/tty
log_test    := /dev/tty
endif

# Which build pass are we on?
curpass = $(filter-out %_,$(subst _,_ ,$@))

DEB_ARCH_REGULAR_PACKAGES = $(libc) $(libc)-dev $(libc)-dbg $(libc)-prof $(libc)-pic
DEB_INDEP_REGULAR_PACKAGES = glibc-doc locales
DEB_UDEB_PACKAGES = $(libc)-udeb libnss-dns-udeb

# Generic kernel version check
define kernel_check
(if [ $(CURRENT_KERNEL_VERSION) -lt $(1) ]; then \
  false; \
fi)
endef

# Pull in all the per-arch magic!

-include debian/sysdeps/$(DEB_HOST_GNU_SYSTEM).mk
-include debian/sysdeps/$(DEB_HOST_ARCH).mk

include debian/sysdeps/depflags.mk

# Don't run dh_strip on this package
NOSTRIP_$(libc)-dbg = 1

ifeq ($(threads),yes)
DEB_ARCH_REGULAR_PACKAGES += nscd
endif

# And now the rules...
include debian/rules.d/*.mk

clean:: debhelper-clean
	rm -rf $(patsubst %,debian/tmp-%,$(GLIBC_PASSES))
	rm -rf $(build-tree)
	rm -rf $(stamp)
	rm -f log-*
	rm -rf debian/include

# Required Debian targets
binary-indep: testroot debian/control $(build-tree) $(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) $(patsubst %,$(stamp)binaryinst_%,$(DEB_INDEP_REGULAR_PACKAGES))
# NOTE: Putting install_ stamps before binaryinst_ stamps in the list is the
# wrong way to represent dependencies.  Fix this.
binary-arch: testroot debian/control $(build-tree) \
	$(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) \
	$(patsubst %,$(stamp)binaryinst_%,$(DEB_ARCH_REGULAR_PACKAGES)) \
	$(patsubst %,$(stamp)binaryinst_%,$(DEB_UDEB_PACKAGES))

binary: binary-indep binary-arch

build:	$(patsubst %,$(stamp)build_%,$(GLIBC_PASSES)) \
	$(patsubst %,$(stamp)check_%,$(GLIBC_PASSES))

testroot:
	dh_testroot

## glibc 2.3.5cs2005q3.2-4.osso10

=== debian/changelog ===
glibc (2.3.5cs2005q3.2-4.osso10) experimental; urgency=low

  * Fixed bcopy. Fixes: NB:#32574

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Jun 2006 16:33:02 +0300

glibc (2.3.5cs2005q3.2-4.osso9) experimental; urgency=low

  * Fixed memory functions 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  5 Jun 2006 16:39:22 +0300

glibc (2.3.5cs2005q3.2-4.osso8) experimental; urgency=low

  * updated optimized string functions 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  1 Jun 2006 14:12:43 +0300

glibc (2.3.5cs2005q3.2-4.osso7) experimental; urgency=low

  * armel fixes: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 29 May 2006 11:25:09 +0300

glibc (2.3.5cs2005q3.2-4.osso6) experimental; urgency=low

  * fixed locales arch 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 May 2006 16:01:56 +0300

glibc (2.3.5cs2005q3.2-4.osso5) experimental; urgency=low

  * Fixed wrong relocation of thumb symbols in ld.so 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 22 May 2006 12:49:40 +0300

glibc (2.3.5cs2005q3.2-4.osso4) experimental; urgency=low

  * armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 17 May 2006 18:50:37 +0300

glibc (2.3.5cs2005q3.2-4.osso3) experimental; urgency=low

  * localedef utility moved to locales. Fixes: NB#28384.
  * inst scripts cleanup

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 May 2006 19:24:49 +0300

glibc (2.3.5cs2005q3.2-4.osso2) experimental; urgency=low

  * Removed po4a dependency
  * Added --disable-force-install
  * Fixed asm string functions for new RETINSTR

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Wed, 26 Apr 2006 14:22:15 +0300

glibc (2.3.5cs2005q3.2-4.osso1) experimental; urgency=low

  * Apllied osso patches
  * Changelog cleanup

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 26 Apr 2006 13:13:16 +0300

glibc (2.3.5cs2005q3.2-4) experimental; urgency=low

  * fixed libc6-dev dependence on linux-kernel-headers
  * fixed build architecture

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  7 Apr 2006 16:40:55 +0400

glibc (2.3.5cs2005q3.2-3) experimental; urgency=low

  * recompiled with cs2005q3.2-5 toolchain package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Sat, 18 Mar 2006 02:45:06 +0300

glibc (2.3.5cs2005q3.2-2) experimental; urgency=low

  * recompiled with cs2005q3.2-4 toolchain package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 15 Mar 2006 20:31:32 +0300

glibc (2.3.5cs2005q3.2-1) experimental; urgency=low

  * initial cs2005q3.2 release 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  2 Mar 2006 19:50:57 +0300

glibc (2.3.4cs2005q3.1-1) experimental; urgency=low

  * Start debianised version glibc-2005q3-1 from CodeCourcery.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Jan 2006 17:22:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 # Run debian magic to build packages.
 
 # Things you may need to customise:
+DEB_BUILD_OPTIONS=nocheck 
 
 # These are done as absolute paths so that in the case of filesystem size
 # limitations, they can be overridden and spread all over.
@@ -33,7 +34,7 @@
 DUMMY := $(shell mkdir -p $(stamp))
 
 # The minimum package version with which these packages are compatible.
-shlib_dep_ver = 2.3.2.ds1-4
+include debian/shlibver
 shlib_dep = $(libc) (>= $(shlib_dep_ver))
 
 # Beyond here you shouldn't need to customise anything:
@@ -41,12 +42,19 @@
 SHELL                 ?= =/bin/sh -e
 DEB_HOST_ARCH         ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_CPU      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE     ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_TYPE     := $(shell gcc -dumpmachine)
 DEB_HOST_GNU_SYSTEM   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_BUILD_ARCH        ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_BUILD_GNU_CPU     ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_GNU_TYPE    := $(shell gcc -dumpmachine)
 DEB_BUILD_GNU_SYSTEM  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+DEB_HOST_ARCH_OS      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+ifeq ($(DEB_HOST_ARCH_OS),)
+  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
+endif
 
 DEB_HOST_GNU_CPU_ALT  ?=
 DEB_HOST_GNU_TYPE_ALT ?=
@@ -55,7 +63,7 @@
 
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 
-DEB_TARBALL ?= $(shell ls glibc-[0-9]*.[0-9]*.[0-9]*.tar.*)
+DEB_TARBALL ?= $(shell ls glibc-[0-9.]*.tar.*)
 
 DEB_SRCDIR ?= $(shell ls -d $(build-tree)/glibc-*)
 DEB_BUILDDIR ?= $(build-tree)/$(DEB_HOST_ARCH)-$(curpass)
@@ -81,7 +89,7 @@
 sbindir=$(prefix)/sbin
 libexecdir=$(prefix)/lib
 
-BUILD_CC = gcc-3.3
+BUILD_CC = gcc
 
 # Set CC for cross-compiling
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -114,7 +122,7 @@
 
 DEB_ARCH_REGULAR_PACKAGES = $(libc) $(libc)-dev $(libc)-dbg $(libc)-prof $(libc)-pic
 DEB_INDEP_REGULAR_PACKAGES = glibc-doc locales
-DEB_UDEB_PACKAGES = $(libc)-udeb libnss-dns-udeb
+DEB_UDEB_PACKAGES = $(libc)-udeb libnss-dns-udeb libnss-files-udeb
 
 # Generic kernel version check
 define kernel_check
@@ -123,9 +131,13 @@
 fi)
 endef
 
+# Include libidn for both NPTL and LinuxThreads targets.
+standard-add-ons = libidn,
+
 # Pull in all the per-arch magic!
 
--include debian/sysdeps/$(DEB_HOST_GNU_SYSTEM).mk
+#-include debian/sysdeps/$(DEB_HOST_GNU_SYSTEM).mk
+-include debian/sysdeps/$(DEB_HOST_ARCH_OS).mk
 -include debian/sysdeps/$(DEB_HOST_ARCH).mk
 
 include debian/sysdeps/depflags.mk
@@ -148,10 +160,12 @@
 	rm -rf debian/include
 
 # Required Debian targets
-binary-indep: testroot debian/control $(build-tree) $(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) $(patsubst %,$(stamp)binaryinst_%,$(DEB_INDEP_REGULAR_PACKAGES))
+binary-indep: build testroot debian/control $(build-tree) \
+	$(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) \
+	$(patsubst %,$(stamp)binaryinst_%,$(DEB_INDEP_REGULAR_PACKAGES))
 # NOTE: Putting install_ stamps before binaryinst_ stamps in the list is the
 # wrong way to represent dependencies.  Fix this.
-binary-arch: testroot debian/control $(build-tree) \
+binary-arch: build testroot debian/control $(build-tree) \
 	$(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) \
 	$(patsubst %,$(stamp)binaryinst_%,$(DEB_ARCH_REGULAR_PACKAGES)) \
 	$(patsubst %,$(stamp)binaryinst_%,$(DEB_UDEB_PACKAGES))
